Operating System: Window 10 Easy fix?: No
Description

Hello,

Upgraded from QGIS Desktop 2.14.5-1 to 2.14.6-2 on Windows 10 Version 1607 32 Bit. Loads & runs GUI but attempting to load any

geotiff (I tried a few) into a project causes a crash of the application. These geotiffs loaded fine in 2.14.5-1.

Also renamed .qgis2 profile folder & re-ran QGIS, same problem.

Event Viewer has an entry Error 33, SideBySide:

Activation context generation failed for "C:\\PROGRA~1\\QGISES~1\\apps\\Python27\\lib\\site-packages\\PIL\\_imagingft.pyd".

Dependent Assembly

Microsoft.VC90.DebugCRT,processorArchitecture="x86",publicKeyToken="1fc8b3b9a1e18e3b",type="win32",version="9.0.21022.8"

could not be found

Should _imagingft.pyd be calling DebugCRT in lieu of CRT?

Tried installing 2.16.2-2 (32 bit) and it also failed on geotiff load (didn't check the event viewer).

Reinstalled 2.14.5-1 & it now loads the geotiffs.

Is this a Windows 32 bit problem or my particular installation?

Just a additional note, Issue tracker "Affected version" dropdown box didn't have a 2.16.2 version hence selected 2.14.5!!

Thanks

Alan Pryor

History

#1 - 2016-09-07 05:24 AM - Alan Pryor

An update for the previous bug report:

I noticed that an event viewer entry for DebugCRT was created on the working 2.14.5-1 version.

Here's the event viewer entry for 2.14.6-2 crash:

Faulting application name: qgis-ltr-bin.exe, version: 0.0.0.0, time stamp: 0x57c0e5fb

Faulting module name: ntdll.dll, version: 10.0.14393.82, time stamp: 0x57a557a3
Exception code: 0xc0000374

Fault offset: 0x000ed95c

Faulting process id: 0x1bb8

Faulting application start time: 0x01d20900df110338

Faulting application path: C:\\PROGRA~1\\QGISES~1\\bin\\qgis-ltr-bin.exe

Faulting module path: C:\\WINDOWS\\SYSTEM32\

tdll.dll

Report Id: 24f4f620-dd9a-467a-a03a-9165cb7e215e

Faulting package full name: 

Faulting package-relative application ID:

#2 - 2017-02-04 02:50 AM - Giovanni Manghi

- Priority changed from Normal to High

#3 - 2017-03-07 08:05 AM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Open to Closed

Very likely a local issue, but glad you find a have to have it work as expected.
